The project is became a first step into FreeRTOS kernel, a software layer widely used in the world of Embedded Systems. In addition this project contains Ethernet communications that extends this Embedded System to the network, making it a real Network Embedded System. Moreover the application want to be real-time constrained, thanks to FreeRTOS kernel API utilities.

In summary the project involved in: 
\begin{itemize}
	\item FreeRTOS kernel multitasking and real-time functionality (work in progress);
	\item FreeRTOS+TCP library to extend the FreeRTOS application with Ethernet interaction;
\end{itemize}

The LPC1768 "cannot halt processor" error has been discussed in some embedded platform community. Check the following post for all the informations about the problem, its evolution and hopefully in a future solution:
\begin{itemize}
	\item FreeRTOS community: \href{https://forums.freertos.org/t/cannot-halt-processor-on-lpc1768-with-freertos-tcp-porting/11030}{Cannot halt processor on LPC1768 with FreeRTOS+TCP porting}
	\item NXP community: \href{https://community.nxp.com/t5/LPC-Microcontrollers/Cannot-halt-processor-on-LPC1768-with-LPCOpen-ethernet-demos/m-p/1176830#M42766}{Cannot halt processor on LPC1768 with LPCOpen ethernet demos}
	\item NXP community: \href{https://community.nxp.com/t5/MCUXpresso-General/Ethernet-init-problem-with-LPCopen-and-CMSIS/m-p/1183452#M4019}{Ethernet Init problem with LPCOpen and CMSIS}
\end{itemize}

Unfortunately, the project hasn't been tested with our LPC1768 platform, but, of course, is a good starting point for new application Ethernet based with real-time constraints. I'm sure that with another platform and some project adaptation, something real can come out and I hope that this documentation comes in handy.